Name:           game-music-emu
Version:        0.6.2
Release:        1
Summary:        Video game music file emulation/playback library,Demo player utilizing Game_Music_Emu
License:        LGPLv2+ and MIT
URL:            https://bitbucket.org/mpyne/game-music-emu/wiki/Home
Source0:        https://bitbucket.org/mpyne/game-music-emu/downloads/%{name}-%{version}.tar.xz
Provides:       libgme = %{version}-%{release} %{name}-player = %{version}-%{release}
Obsoletes:      %{name}-player < %{version}-%{release}

Patch01:        fix-compilation-failed.patch

BuildRequires:  gcc-c++ cmake SDL-devel

%package devel
Summary:        Development files for Game_Music_Emu
Provides:       libgme-devel = %{version}-%{release}
Requires:       %{name} = %{version} pkgconfig

%description
Game_Music_Emu is a collection of video game music file simulators that
supports the following formats and systems:

 * AY       ZX Spectrum/Amstrad CPC
 * GBS      Nintendo Game Boy
 * GYM      Sega Genesis/Mega Drive
 * HES      NEC TurboGrafx-16/PC Engine
 * KSS      MSX Home Computer/other Z80 systems (doesn't support FM sound)
 * NSF/NSFE Nintendo NES/Famicom (with VRC 6, Namco 106, and FME-7 sound)
 * SAP      Atari systems using POKEY sound chip
 * SPC      Super Nintendo/Super Famicom
 * VGM/VGZ  Sega Master System/Mark III, Sega Genesis/Mega Drive,BBC Micro

%description devel
This package contains files needed to compile code which uses Game_Music_Emu.

%prep
%autosetup -n %{name}-%{version} -p1
echo -e "\ninstall(TARGETS gme_player RUNTIME DESTINATION %{_bindir})" >> player/CMakeLists.txt


%build
%cmake
%make_build
%make_build gme_player


%install
%make_install
cd player
%make_install

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%doc changes.txt license.txt readme.txt
%{_libdir}/libgme.so.*
%{_bindir}/gme_player

%files devel
%doc design.txt gme.txt
%{_libdir}/libgme.so
%{_includedir}/gme/
%{_libdir}/pkgconfig/libgme.pc

%changelog
* Thu Feb 10 2022 yaoxin <yaoxin30@huawei.com> - 0.6.2-1
- Upgrade game-music-emu to 0.6.2 to fix CVE-2017-17446

* Mon Aug 2 2021 Haiwei Li <lihaiwei8@huawei.com> - 0.6.1-8
- Fix complication failed due to gcc upgrade

* Thu Nov 28 2019 yangjian<yangjian79@huawei.com> - 0.6.1-7
- Package init
